Subject: 2.6.21-rc4 fails to start USB HCD NEC 720101 with MPC8349EMDS

From: Gregoire Banderet <[email-masked]>
Date: Tue, 20 Mar 2007 09:17:34 +0100

Hello,

I have an MPC8349EMDS board with an 2.6.21-rc4 kernel and u-boot 1.2.0.
I use the dts file from the kernel sources.

I've plugged a PCI board with a NEC 720101 
(http://www.necel.com/usb/en/product/upd720101.html).
This chip is a USB Host Controller with 1 EHCI if and 2 OHCI if.

It looks like the kernel sees the USB if, but it fails to start it:

ehci_hcd 0000:00:11.2: EHCI Host Controller
ehci_hcd 0000:00:11.2: new USB bus registered, assigned bus number 2
ehci_hcd 0000:00:11.2: reset hcs_params 0xffffffff dbg=15 ind cc=15 
pcc=15 ports=15
ehci_hcd 0000:00:11.2: reset portroute 15 15 15 15 15 15 15 15 15 15 15 
15 15 15 15
ehci_hcd 0000:00:11.2: reset hcc_params ffffffff caching frame 
256/512/1024 park 64 bit addr
ehci_hcd 0000:00:11.2: park 0
ehci_hcd 0000:00:11.2: bogus port configuration: cc=15 x pcc=15 < ports=15
ehci_hcd 0000:00:11.2: MWI active
ehci_hcd 0000:00:11.2: ...powerdown ports...
ehci_hcd 0000:00:11.2: supports USB remote wakeup
ehci_hcd 0000:00:11.2: irq 24, io mem 0xa0002000
ehci_hcd 0000:00:11.2: reset command ffffffff park=3 ithresh=63 LReset 
IAAD Async Periodic period=?? R
ehci_hcd 0000:00:11.2: startup error -19
ehci_hcd 0000:00:11.2: USB bus 2 deregistered
ehci_hcd 0000:00:11.2: init 0000:00:11.2 fail, -19
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
ohci_hcd: block sizes: ed 64 td 64
ohci_hcd 0000:00:11.0: OHCI Host Controller
ohci_hcd 0000:00:11.0: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:11.0: USB HC TakeOver from BIOS/SMM
ohci_hcd 0000:00:11.0: USB HC takeover failed!  (BIOS/SMM bug)
ohci_hcd 0000:00:11.0: can't setup
ohci_hcd 0000:00:11.0: USB bus 2 deregistered
ohci_hcd 0000:00:11.0: init 0000:00:11.0 fail, -16
ohci_hcd: probe of 0000:00:11.0 failed with error -16
ohci_hcd 0000:00:11.1: OHCI Host Controller
ohci_hcd 0000:00:11.1: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:11.1: USB HC TakeOver from BIOS/SMM
ohci_hcd 0000:00:11.1: USB HC takeover failed!  (BIOS/SMM bug)
ohci_hcd 0000:00:11.1: can't setup
ohci_hcd 0000:00:11.1: USB bus 2 deregistered
ohci_hcd 0000:00:11.1: init 0000:00:11.1 fail, -16
ohci_hcd: probe of 0000:00:11.1 failed with error -16

Could someone help me to understand these messages?

-- 
Greg